> For the complete documentation index, see [llms.txt](https://gotrustcrow.gitbook.io/trustcrow-api-v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gotrustcrow.gitbook.io/trustcrow-api-v1/api-reference/disbursement.md).

# Disbursement

Disbursement is done automatically by our escrow infrastructure at the end of a milestone cycle. At the close of each milestone, funds is automatically disbursed directly into the bank details of the recipient either the seller or buyer.

**A seller's account will be credited if;**

* Buyer accepts milestone delivery
* Buyer rejects milestone delivery but fails to confirm the return of the delivered milestone
* Seller has delivered milestone but buyer neither approves nor rejects the milestone delivery within the stipulated period.
* The dispute ruling is in favour of the seller.

**A buyer will be refunded if;**

* Seller missed the deadline and extension for the milestone.
* Seller neither approves nor rejects the returned milestone
* The dispute ruling is in favour of the seller.

All customers; buyers and sellers are required to have supplied their bank account details in order to receive disbursement at the end of every milestone.&#x20;

## Save bank account

## Save bank account

<mark style="color:green;">`POST`</mark> `{{api_url}}/v1/wallets/banks/disbursement`

#### Headers

| Name          | Type   | Description                                                 |
| ------------- | ------ | ----------------------------------------------------------- |
| Accepts       | string | application/json                                            |
| Authorization | string | your Trustcrow API keys with which you authorize customers. |

#### Request Body

| Name                                              | Type   | Description                                  |
| ------------------------------------------------- | ------ | -------------------------------------------- |
| account\_number<mark style="color:red;">\*</mark> | string | account number of the customer               |
| bank\_code<mark style="color:red;">\*</mark>      | string | the bank code of the account number provided |
| user\_id<mark style="color:red;">\*</mark>        | string | the customer id of the account to be saved   |

{% tabs %}
{% tab title="200: OK disbursement account created successfully" %}

```javascript
{
    "status": true,
    "message": "Disbursement account created successfully",
    "data": {
        "wallet_id": "b78ec8db-4bab-43c3-84a1-a9d55d036d54",
        "account_number": "0139923749",
        "account_name": "FOLAGBADE HALEEMOH OPEYEMI",
        "bank_code": "058",
        "paystack_transfer_recipient": null,
        "id": "0878a1d3-a3f3-476b-a408-493117f71dfa",
        "created_at": "2023-12-26T13:54:13.160Z",
        "updated_at": "2023-12-26T13:54:13.160Z"
    }
}
```

{% endtab %}
{% endtabs %}

<br>
